YouTube Channel Details API

Get YouTube channel details and stats by channelId, handle, or URL.

1 creditper request
GET
/v1/youtube/channel
curl "https://api.scrapecreators.com/v1/youtube/channel" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 1000000,
  "credits_charged": 1,
  "channelId": "UCxcTeAKWJca6XyJ37_ZoKIQ",
  "channel": "http://www.youtube.com/@ThePatMcAfeeShow",
  "name": "The Pat McAfee Show",
  "avatar": {
    "image": {
      "sources": [
        {
          "url": "https://yt3.googleusercontent.com/ytc/AIdro_nBgMGIxgHehCAlUUepEhd9Yooi1I55k6IF2WExl-v8Q-c=s72-c-k-c0x00ffffff-no-rj",
          "width": 72,
          "height": 72
        },
        {
          "url": "https://yt3.googleusercontent.com/ytc/AIdro_nBgMGIxgHehCAlUUepEhd9Yooi1I55k6IF2WExl-v8Q-c=s120-c-k-c0x00ffffff-no-rj",
          "width": 120,
          "height": 120
        },
        {
          "url": "https://yt3.googleusercontent.com/ytc/AIdro_nBgMGIxgHehCAlUUepEhd9Yooi1I55k6IF2WExl-v8Q-c=s160-c-k-c0x00ffffff-no-rj",
          "width": 160,
          "height": 160
        }
      ],
      "processor": {
        "borderImageProcessor": {
          "circular": true
        }
      }
    },
    "avatarImageSize": "AVATAR_SIZE_XL",
    "loggingDirectives": {
      "trackingParams": "CC0Q6OENIhMIkInyhaSPiwMV9wfWAB3aoR9h",
      "visibility": {
        "types": "12"
      }
    }
  },
  "description": "",
  "subscriberCount": 2750000,
  "subscriberCountText": "2.75M subscribers",
  "videoCountText": "9,221 videos",
  "viewCountText": "2,170,355,382 views",
  "joinedDateText": "Joined Aug 23, 2017",
  "tags": "pat mcafee, football, pat mcafee show, the pat mcafee show, pat mcafee podcast, pat mcafee clips, pat mcafee reacts, pat mcafee highlights, pat mcafee live, pat mcafee show live, pat mcafee podcast, nfl, nba, nhl, mlb, ufc, sports",
  "email": null,
  "store": "https://store.patmcafeeshow.com",
  "twitter": "https://twitter.com/PatMcAfeeShow",
  "instagram": "https://instagram.com/patmcafeeshow",
  "links": [
    "https://store.patmcafeeshow.com",
    "https://twitter.com/PatMcAfeeShow",
    "https://instagram.com/patmcafeeshow"
  ],
  "country": "United States"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

channelId
string

YouTube channel ID. Provide channelId, handle, or url.

Example:
UC-9-kyTW8ZkZNDHQJ6FgpwQ
handle
string

YouTube channel handle. Provide channelId, handle, or url.

Example:
ThePatMcAfeeShow
url
string

YouTube channel URL. Provide channelId, handle, or url.

Example:
https://www.youtube.com/@ThePatMcAfeeShow
cache_max_age
string

Use a cached response this old or newer for 0 credits. If none is available, fetch live at the endpoint’s normal price.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d